# git rev-parse --short v3.3.10
%define		githash	27fc7e2
Summary:	A highly-available key value store for shared configuration
Name:		etcd
Version:	3.3.10
Release:	1
License:	Apache v2.0
Group:		Daemons
Source0:	https://github.com/coreos/etcd/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	cae7a6e0a7e23548fc098e24282a6c8e
Patch0:		nogit.patch
URL:		https://github.com/coreos/etcd/
BuildRequires:	golang >= 1.2.1-3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# disable debug packages for go packages
%define		debug_package %{nil}

# this will fool adapter not to touch 'etcd'
%define		_sysconfdir	__bogus__value

%description
A highly-available key value store for shared configuration.

%prep
%setup -q
%patch0 -p1

%build
GIT_SHA=%{githash} \
sh -xe build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_bindir}
install -p bin/etcd $RPM_BUILD_ROOT%{_bindir}
install -p bin/etcdctl $RPM_BUILD_ROOT%{_bindir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README.md Documentation/v2/internal-protocol-versioning.md
%attr(755,root,root) %{_bindir}/etcd
%attr(755,root,root) %{_bindir}/etcdctl
%changelog
* Wed Oct 17 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/etcd.git;a=log;h=master

* Wed Oct 17 2018 Adam Gołębiowski <adamg@pld-linux.org> 905fcae
- updated to 3.3.10

* Sat May 30 2015 Elan Ruusamäe <glen@delfi.ee> ec7088d
- up to 2.0.11; add nogit patch

* Sat Mar 22 2014 Elan Ruusamäe <glen@delfi.ee> 2b56d3f
- 0.3.0

* Thu Oct 17 2013 Elan Ruusamäe <glen@delfi.ee> 1e584b0
- up to 0.1.2 stable

* Wed Oct 09 2013 Elan Ruusamäe <glen@delfi.ee> f9eb0a8
- new, version 0.1.1

